ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Cmm.ProcPoint

# Documentation

type ProcPointSet = LabelSet Source #

data Status Source #

Constructors

ReachedBy ProcPointSet |
ProcPoint |

#### Instances

Instances details

Outputable Status Source # |
Instance details Defined in GHC.Cmm.ProcPoint Methods ppr :: Status -> SDoc Source #

callProcPoints :: CmmGraph -> ProcPointSet Source #

minimalProcPointSet :: Platform -> ProcPointSet -> CmmGraph -> UniqSM ProcPointSet Source #

splitAtProcPoints :: Platform -> CLabel -> ProcPointSet -> ProcPointSet -> LabelMap Status -> CmmDecl -> UniqSM [CmmDecl] Source #

procPointAnalysis :: ProcPointSet -> CmmGraph -> LabelMap Status Source #

attachContInfoTables :: ProcPointSet -> CmmDecl -> CmmDecl Source #